<!DOCTYPE html>
<html lang="fr">

<?php
    $title = "Projets";
    include("include/head.php");
?>

<body>
    <!-- Navbar -->
    <?php
        include("include/navbar.php")
    ?>

    <!-- Main -->
    <main role="main" class="container">
        <div class="focus-center">
            <h1>
                Projets
            </h1>
            <img src="https://img.icons8.com/color/96/000000/code.png" alt="code flat icon">
            <h2>
                Mon folio de développeur
            </h2>
            <p class="lead">
                Voici l'ensemble des projets de programmation auxquels j'ai participé. Certains ont été faits en équipe,
                d'autres seuls, certains sont encore en développement.
            </p>
        </div>

        <h3>
            <img src="https://img.icons8.com/color/48/000000/term.png" alt="term flat icon">
            Présentation
        </h3>
        <p>
            Chaque encart présente le résumé d'un projet. Si vous cliquez sur <code>Voir la page du projet</code>, vous
            arrivez directement sur sa page descriptive complète.
        </p>
        <p>
            N'hésitez pas à revenir consulter cette page plus tard, et revenir régulièrement. J'ai beaucoup de projets déjà
            réalisés qui ne sont pas encore affichés ici, et j'en lancerai bientôt de nouveaux.
        </p>

        <h3>
            <img src="https://img.icons8.com/color/48/000000/git.png" alt="git flat icon">
            Code source
        </h3>
        <p>
        Mon folio est incomplet pour le moment, de nombreux projets ne figurent pas encore sur cette page.
        </p>
        <p>
        Vous pouvez retrouver l'intégralité de mes projets et leur code source <a href="https://gogs.jovian-hersemeule.eu/DricomDragon">sur mon instance de <em>Gogs</em></a>, un clone de <em>GitHub</em>.
        </p>

        <!-- Présentation : En cours -->
        <h3>
            <img src="https://img.icons8.com/color/50/000000/rocket.png" alt="rocket flat icon">
            En cours
        </h3>
        <p>
            Retrouvez ici les projets sur lesquels je passe mon temps actuellement.
        </p>

        <!-- Projets en cours -->
        <div class="card-columns">
            <div class="card">
                <img class="card-img-top" src="https://img.icons8.com/color/400/000000/city.png" alt="Jovian site icon">
                <div class="card-body">
                    <h4 class="card-title">
                        <img src="https://img.icons8.com/color/35/000000/rocket.png" alt="rocket flat icon">
                        Jovian Website
                    </h4>
                    <p class="card-text">
                        Mon site Internet : celui sur lequel vous naviguez actuellement.
                    </p>
                    <a href="projets/pro_static_site.php" class="btn btn-success">
                        Voir la page du projet
                    </a>
                </div>
            </div>
        </div>

        <!-- présentation projets présentables -->
        <h3>
            <img src="https://img.icons8.com/color/50/000000/space-shuttle.png" alt="space shuttle flat icon">
            Présentables
        </h3>
        <p>
            Voici ici les projets qui sont <em>présentables</em>. C'est à dire qu'ils ne sont pas terminés, mais sont suffisamment matures
            pour fonctionner et susciter de l'intérêt.
        </p>

        <!-- Projets présentables -->
        <div class="card-columns">
            <div class="card">
                <img class="card-img-top" src="include/images/project_icon_ASCII.png"
                     alt="ASCII Space Destroyer image">
                <div class="card-body">
                    <h4 class="card-title">
                        <img src="https://img.icons8.com/color/35/000000/space-shuttle.png" alt="space shuttle flat icon">
                        ASCII Space Destroyer
                    </h4>
                    <p class="card-text">
                        Un jeu de vaisseau spatial dessiné avec des caractères ASCII, où le joueur peut créer son propre
                        vaisseau.
                    </p>
                    <a href="projets/pro_ascii_space.php" class="btn btn-success">
                        Voir la page du projet
                    </a>
                </div>
            </div>
            <div class="card">
                <img class="card-img-top" src="https://img.icons8.com/color/400/000000/code.png" alt="quoridor image">
                <div class="card-body">
                    <h4 class="card-title">
                        <img src="https://img.icons8.com/color/35/000000/space-shuttle.png" alt="space shuttle flat icon">
                        Quoridor
                    </h4>
                    <p class="card-text">
                        Un jeu de plateau retranscrit sur ordinateur, où le joueur peut affronter un ami ou une intelligence
                        articielle.
                    </p>
                    <div title="Développement en cours .. revenez plus tard !">
                        <a href="projets/pro_quoridor.php" class="btn btn-success disabled">
                            Voir la page du projet
                        </a>
                    </div>
                </div>
            </div>
        </div>

        <!-- Présentation projets à venir -->
        <h3>
            <img src="https://img.icons8.com/color/50/000000/blueprint.png" alt="blueprint flat icon">
            À venir
        </h3>
        <p>
            Mes idées de futurs projets.
        </p>

        <!-- Projets à venir -->
        <div class="card-columns">
            <div class="card">
                <img class="card-img-top" src="https://img.icons8.com/color/400/000000/code.png" alt="pulsar image">
                <div class="card-body">
                    <h4 class="card-title">
                        <img src="https://img.icons8.com/color/35/000000/blueprint.png" alt="blueprint flat icon">
                        Pulsar
                    </h4>
                    <p class="card-text">
                        Un jeu de vaisseaux spatiaux, où chaque équipe tente de prendre l'ascendant dans un système solaire.
                    </p>
                    <div title="Développement en cours .. revenez plus tard !">
                        <a href="projets/pro_pulsar.php" class="btn btn-success disabled">
                            Voir la page du projet
                        </a>
                    </div>
                </div>
            </div>
        </div>

        <!-- Présentation projets terminés -->
        <h3>
            <img src="https://img.icons8.com/color/48/000000/uranus-planet.png" alt="planet flat icon">
            Terminés
        </h3>
        <p>
            Projets dont la phase de développement est terminée.
        </p>
        <p>
            <em>Section vide pour le moment, revenez plus tard ...</em>
        </p>
    </main>

    <!-- Footer -->
    <?php
        include("include/footer.php")
    ?>

    <!-- Scripts -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
            integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
            crossorigin="anonymous"></script>
    <script src="include/js/bootstrap.js"></script>

</body>
</html>
